View Issue Details

IDProjectCategoryView StatusLast Update
0003104SymmetricDSNew Featurepublic2017-06-05 09:08
Reportergilles.riandAssigned Tomaxwellpettit 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.36 
Target Version3.8.25Fixed in Version3.8.25 
Summary0003104: Log Conflicts Resolutions
DescriptionI'm in a 3.7.36 and I like to know if it's possible to log Conflict Resolution
I'm in resolution "FALLBACK" and I See that the resolution of a conflict is really apply but It will be cool to Log (in symmetric.log) or in a Table to really see the conflict.
TagsNo tags attached.

Activities

chenson

2017-05-12 08:01

administrator   ~0001048

Logging to a log file sounds like a good feature. Maybe we should add a parameter to enable/disable it. Not sure if it should be on by default or not.

maxwellpettit

2017-05-15 12:20

developer   ~0001049

Added parameter log.conflict.resolution that has a default value of false

Related Changesets

SymmetricDS: 3.8 ed6ef14c

2017-05-15 12:18:21

maxwellpettit

Details Diff
0003104: Log Conflicts Resolutions
0003104
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriterConflictResolver.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterSettings.java Diff File

Issue History

Date Modified Username Field Change
2017-05-12 06:09 gilles.riand New Issue
2017-05-12 08:01 chenson Note Added: 0001048
2017-05-12 08:01 chenson Assigned To => maxwellpettit
2017-05-12 08:01 chenson Status new => assigned
2017-05-15 12:19 maxwellpettit Fixed in Version => 3.8.25
2017-05-15 12:19 maxwellpettit Target Version => 3.8.25
2017-05-15 12:20 maxwellpettit Note Added: 0001049
2017-05-15 12:20 maxwellpettit Status assigned => resolved
2017-05-15 12:20 maxwellpettit Resolution open => fixed
2017-05-15 13:00 maxwellpettit Changeset attached => SymmetricDS 3.8 ed6ef14c
2017-06-05 09:08 chenson Status resolved => closed